"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const decorators_1 = require("../decorators");
const Application_1 = require("../Application");
const util_1 = require("../util");
const Configuration_1 = require("../Configuration");
const views = require('koa-views');
const path_1 = require("path");
let DefaultViewsMiddleware = class DefaultViewsMiddleware {
    constructor(app, config) {
        this.app = app;
        this.config = config;
    }
    setup() {
        this.app.use(views(path_1.join(this.config.rootdir, this.config.views), this.config.viewsOptions));
    }
};
DefaultViewsMiddleware = __decorate([
    decorators_1.Middleware(util_1.symbols.ViewsMiddleware),
    __metadata("design:paramtypes", [Application_1.Application, Configuration_1.Configuration])
], DefaultViewsMiddleware);
exports.DefaultViewsMiddleware = DefaultViewsMiddleware;

//# sourceMappingURL=../sourcemaps/middlewares/DefaultViewsMiddleware.js.map
